@import '../../../static/style/variables';

header {
  -webkit-box-shadow: 0 1px 0 0 rgba(white, 0.2);
  -moz-box-shadow: 0 1px 0 0 rgba(white, 0.2);
  box-shadow: 0 1px 0 0 rgba(white, 0.2);
}

.top-bar {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 11;
  display: flex;
  justify-content: space-between;
  width: 100%;
  height: $header-height;
  background-color: $main-dark;

  .nav-main {
    padding-left: 130px;
  }

  .nav {
    display: flex;
    //align-items: center;
    height: $header-height;
  }


  @media (max-width: 767px) {
    height: $header-height + 15;
    .nav-main {
      display: none;
    }
  }


  .nav-header {
    font-size: 15px;
    font-weight: 300;
    padding-right: 0;
    height: 100%;

    .nav-button {
      color: white;
      width: $header-height +15;

      @media (min-width: 768px) {
          width: $header-height;
      }

      &.active {
        color: $main-active;
        box-shadow: 0 1px 0 0 rgba($main-active, 0.8);

        -webkit-box-shadow: 0 1px 0 0 rgba($main-active, 0.8);
        -moz-box-shadow: 0 1px 0 0 rgba($main-active, 0.8);

        a {
          color: $main-active;
        }
      }

      &:hover {
        color: $main-active;
        box-shadow: 0 1px 0 0 rgba($main-active, 0.8);
        -webkit-box-shadow: 0 1px 0 0 rgba($main-active, 0.8);
        -moz-box-shadow: 0 1px 0 0 rgba($main-active, 0.8);

        a {
          color: $main-active;
        }
      }
    }

    .nav-item {
      padding: 11px 7px;
      color: white;

      &.active {
        color: $main-active;
        box-shadow: 0 1px 0 0 rgba($main-active, 0.8);

        -webkit-box-shadow: 0 1px 0 0 rgba($main-active, 0.8);
        -moz-box-shadow: 0 1px 0 0 rgba($main-active, 0.8);

        a {
          color: $main-active;
        }
      }

      &:hover {
        color: $main-active;
        box-shadow: 0 1px 0 0 rgba($main-active, 0.8);
        -webkit-box-shadow: 0 1px 0 0 rgba($main-active, 0.8);
        -moz-box-shadow: 0 1px 0 0 rgba($main-active, 0.8);

        a {
          color: $main-active;
        }
      }
    }

    //@media (min-width: 768px) and (max-width: 991px) {
    //  .nav-item {
    //    //padding: .9rem .6rem;
    //  }
    //}
  }

  .navbar-nav {
    display: -ms-flexbox;
    display: flex;
    height: $header-height;
    -ms-flex-direction: column;
    flex-direction: column;
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
  }

  .logo {
    position: absolute;
    left: 4px;
    top: 50%;
    font-size: 20px;
    font-weight: 500;
    padding-left: 8px;
    cursor: pointer;
    transform: translateY(-50%);

    span {
      color: #05bcfe;
    }

    @media (max-width: 767px) {
      left: 50%;
      transform: translate(-50%, -50%);
      .navbar-nav {
        height: $header-height+15;
      }
    }
  }

  .item {
    position: relative;
    //margin-right: 13px;
    display: flex;
    height: 100%;
    width: 50px;
    justify-content: center;
    align-items: center;
    cursor: pointer;

    &:hover {
      background-color: rgba(#fff, 0.1);
    }
  }

  .text {
    padding-left: 5px;
  }

  .icon {
    width: 25px;
    height: 25px;
    //margin-top: -3px;
    padding: 0;
    display: inline;
    font-size: 20px;
    font-weight: 500;
    @media (min-width: 768px) and (max-width: 991px) {
      width: 23px;
      height: 23px;
    }


  }

  .user {
    position: relative;
    margin-right: 16px;
    width: 35px;
    height: 35px;
    background: url('../../../static/img/avatar.jpg') center center no-repeat;
    background-size: cover;
    border-radius: 50%;
    box-shadow: 1px 1px 6px 2px rgba(0, 0, 0, 0.15);
    -webkit-box-shadow: 1px 1px 6px 2px rgba(0, 0, 0, 0.15);
    -moz-box-shadow: 1px 1px 6px 2px rgba(0, 0, 0, 0.15);
    cursor: pointer;

    &:after {
      content: '';
      position: absolute;
      right: -16px;
      top: 50%;
      border: 5px solid transparent;
      border-top: 5px solid #fff;
    }
  }

  .burger-wrapper {
    position: absolute;
    left: 12.5px;
    top: 17px;
    width: 25px;
    height: 25px;
    @media (min-width: 768px) {
      display: none;
    }
  }

  @media (min-width: 768px) {
    .navbar-nav {
      -ms-flex-direction: row;
      flex-direction: row;
    }
  }
}

.left-bar {
  width: 250px;
  position: fixed;
  top: 0;
  margin-top: $header-height+1;
  left: 0;
  height: 100vh;
  z-index: 999;
  background: rgba($main-dark, 1);
  color: #fff;
  transition: all 0.3s;
  box-shadow: 2px 1px 2px rgba(0, 0, 0, 0.2);
  -webkit-box-shadow: 2px 1px 2px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 2px 1px 2px rgba(0, 0, 0, 0.2);

  &.collapsed {
    left: -250px;
  }

  .menu-header {
    font-size: 16px;
    font-weight: 700;
  }

  .dismiss {
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    background: none;
    position: absolute;
    top: 20px;
    right: 10px;
    cursor: pointer;

    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
  }

  .dismiss:hover {
    color: rgba($main-active, 0.9);
  }

  .sidebar-header {
    padding: 20px;
    //background: $main-active;
    box-shadow: 0 1px 0 0 rgba(white, 0.2);
  }

  .navbar-nav {
    padding: 7px 0;
    box-shadow: 0 1px 0 0 rgba(white, 0.2);
    //li{
    a {
      padding: 10px;
      font-size: 1em;
      display: block;
      color: #fff;

      &:hover {
        border-left: 1px solid $main-active;
        background: none;
        color: $main-active;
      }

      &.active {
        border-left: 1px solid $main-active;
        -webkit-box-shadow: inset 0 0 5px 1px rgba(0, 0, 0, 0.3);
        -moz-box-shadow: inset 0 0 5px 1px rgba(0, 0, 0, 0.3);
        box-shadow: inset 0 0 5px 1px rgba(0, 0, 0, 0.3);
        background: $main-active;
        color: #fff;
      }
    }
  }

  .icon {
    width: 25px;
    height: 25px;
    padding-right: 7px;
    margin-top: -3px;
    display: inline;
  }

  @media (max-width: 767px) {
    margin-top: $header-height+16;
  }
}

.right-bar {
  width: 250px;
  position: fixed;
  top: 0;
  margin-top: $header-height+1;
  right: 0;
  height: 100vh;
  z-index: 999;
  background: rgba($main, 0.95);
  color: #fff;
  transition: all 0.3s;
  //overflow-y: scroll;
  box-shadow: 2px 1px 2px rgba(0, 0, 0, 0.2);

  @media (max-width: 767px) {
    margin-top: $header-height+16;
  }

  &.collapsed {
    right: -250px;
  }

  .menu-header {
    font-size: 16px;
    font-weight: 700;
  }

  .dismiss {
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    background: none;
    position: absolute;
    top: 20px;
    right: 10px;
    cursor: pointer;

    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
  }

  .dismiss:hover {
    color: rgba($main-active, 0.9);
  }

  .sidebar-header {
    padding: 20px;
    //background: $main-active;
    box-shadow: 0 1px 0 0 rgba(white, 0.2);
    -webkit-box-shadow: 0 1px 0 0 rgba(white, 0.2);
    -moz-box-shadow: 0 1px 0 0 rgba(white, 0.2);
  }

  .navbar-nav {
    padding: 7px 0;
    box-shadow: 0 1px 0 0 rgba(white, 0.2);
    -webkit-box-shadow: 0 1px 0 0 rgba(white, 0.2);
    -moz-box-shadow: 0 1px 0 0 rgba(white, 0.2);
    //li{
    a {
      padding: 10px;
      font-size: 1.0em;
      display: block;
      color: #fff;

      &:hover {
        border-left: 1px solid $main-active;
        background: none;
        color: $main-active;
      }

      &.active {
        border-left: 1px solid $main-active;
        -webkit-box-shadow: inset 0 0 5px 1px rgba(0, 0, 0, 0.3);
        -moz-box-shadow: inset 0 0 5px 1px rgba(0, 0, 0, 0.3);
        box-shadow: inset 0 0 5px 1px rgba(0, 0, 0, 0.3);
        background: $main-active;
        color: #fff;
      }
    }


  }

  .icon {
    width: 25px;
    height: 25px;
    padding-right: 7px;
    margin-top: -3px;
    display: inline;
  }
}
